/////////////////////////////////////////////////////////////////////////////
// File:            gnSourceHeader.cpp
// Purpose:         Source Header class
// Description:     Provides an interface for Headers on disk.
// Changes:        
// Version:         libGenome 0.1.0 
// Author:          Aaron Darling 
// Last Edited:     April 15, 2001, 11:13:00pm 
// Modified by:     
// Copyright:       (c) Aaron Darling 
// Licenses:        Proprietary 
/////////////////////////////////////////////////////////////////////////////


#include <string>
#include "gn/gnBaseSource.h"
#include "gn/gnSourceHeader.h"

gnSourceHeader::gnSourceHeader(){
	m_source = NULL;
	m_start = 0;
	m_length = 0;
}
gnSourceHeader::gnSourceHeader( gnBaseSource* source, const string& name, const uint32 begin, const uint32 length ){
	m_source = source;
	m_name = string(name);
	m_start = begin;
	m_length = length;
}
gnSourceHeader::gnSourceHeader(const gnSourceHeader& s){
	m_source = s.m_source;
	m_start = s.m_start;
	m_length = s.m_length;
	m_name = string(s.m_name);
}
gnSourceHeader::~gnSourceHeader(){
};
string gnSourceHeader::GetHeader() const{
	char* buf = new char[m_length];
	uint32 readBytes = m_length;
	m_source->Read(m_start, buf, readBytes);
	string rval(buf, readBytes);
	return rval;
}
