/////////////////////////////////////////////////////////////////////////////
// File:            gnSourceQualifier.cpp
// Purpose:         Source Qualifier class
// Description:     Provides an interface for Qualifier on disk.
// Changes:        
// Version:         libGenome 0.1.0 
// Author:          Aaron Darling 
// Last Edited:     April 15, 2001, 11:13:00pm 
// Modified by:     
// Copyright:       (c) Aaron Darling 
// Licenses:        Proprietary 
/////////////////////////////////////////////////////////////////////////////


#include <string>
#include "gn/gnBaseSource.h"
#include "gn/gnSourceQualifier.h"

gnSourceQualifier::gnSourceQualifier(){
	m_source = NULL;
	m_name = "";
	m_start = 0;
	m_length = 0;
}
gnSourceQualifier::gnSourceQualifier( gnBaseSource* source, string& name, uint32 begin, uint32 length ){
	m_source = source;
	m_name = name;
	m_start = begin;
	m_length = length;
}
gnSourceQualifier::gnSourceQualifier(const gnSourceQualifier& s){
	m_source = s.m_source;
	m_start = s.m_start;
	m_length = s.m_length;
	m_name = string(s.m_name);
}
gnSourceQualifier::~gnSourceQualifier(){
};
string gnSourceQualifier::GetValue() const{
	char* buf = new char[m_length];
	uint32 readBytes = m_length;
	m_source->Read(m_start, buf, readBytes);
	string rval(buf, readBytes);
	return rval;
}
